> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typeauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Token



## OpenAPI

````yaml openapi.json post /{account_id}/token/create/{application_id}
openapi: 3.0.0
info:
  title: Type Auth API
  description: >-
    API for managing applications, authentication, monitoring, and security
    features
  version: 1.0.0
servers:
  - url: https://api.typeauth.com
security: []
tags:
  - name: Application
    description: Application management endpoints
  - name: Token
    description: Token endpoints
  - name: JWT
    description: JWT configuration endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: JWK
    description: JWK (JSON Web Key) management endpoints
  - name: Security
    description: Security and firewall configuration endpoints
  - name: Fraud and abuse prevention
    description: Abuse prevention and rate limiting endpoints
  - name: Monitor
    description: Application monitoring endpoints
  - name: Routing
    description: Route configuration endpoints
  - name: Tag
    description: Tag management endpoints
paths:
  /{account_id}/token/create/{application_id}:
    post:
      tags:
        - Token
      summary: Create a new Token
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: application_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenRequest'
      responses:
        '201':
          description: Application created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateTokenRequest:
      type: object
      properties:
        amount:
          type: integer
          maximum: 100
        tags:
          type: array
          maxItems: 5
          uniqueItems: true
          description: Tags of the application
          items:
            type: string
    ApplicationResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Application'
    Application:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        domain:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        originHostname:
          type: string
        detailResponse:
          type: boolean
        auth_id:
          type: string
        llmcache_id:
          type: string
        abuse_id:
          type: string
        tags:
          type: array
          items:
            type: string

````